# Rasdaman Installer

## First-time installation

Installing rasdaman is easy:
```
wget http://download.rasdaman.org/installer/install.sh
bash install.sh
```

## Updating an Existing Installation

Updating rasdaman is just as easy (if installed with the installer):
```
update_rasdaman.sh
```
That is all, follow the instructions on the screen and you should be done.

## Creating your own profile

The installer makes use of a configuration file, `installer_profile.toml`, 
created during first-time rasdaman installation and reused during updates. While 
reasonable defaults are built in, settings can be tweaked by editing the TOML 
file.

After establishing this file in e.g. 
`/opt/rasdaman/share/rasdaman/installer/install_profile.toml`, apply it through
```
$ ./install.sh -j /opt/rasdaman/share/rasdaman/installer/install_profile.toml
```

## Motivation
The purpose of this installer is to allow users to download one single
file that can be used to install rasdaman on their machine.

## Supported distros
* Ubuntu (18.04, 20.04)
* CentOS (7)
