from .debian10 import Debian10TPInstaller


class Ubuntu1804TpInstaller(Debian10TPInstaller):
    def __init__(self, profile):
        """
        TP Installer for Ubuntu 18.04
        :param Profile profile: the installation profile
        """
        super(Ubuntu1804TpInstaller, self).__init__(profile)
        self.pkg_postgis = ['postgis',
                            'postgresql-10-postgis-2.4',
                            'postgresql-10-postgis-2.4-scripts']
